[API Reference](../README.md) > [GPExecuteProposalEventResult](../interfaces/GPExecuteProposalEventResult.md)



# Interface: GPExecuteProposalEventResult


## Properties
<a id="_executionState"></a>

###  _executionState

**●  _executionState**:  *`BigNumber`* 

*Defined in [wrappers/genesisProtocol.ts:1269](https://github.com/daostack/arc.js/blob/f343aa24/lib/wrappers/genesisProtocol.ts#L1269)*



_executionState.toNumber() will give you a value from the enum `ExecutionState`




___

<a id="_proposalId"></a>

###  _proposalId

**●  _proposalId**:  *[Hash](../#Hash)* 

*Defined in [wrappers/genesisProtocol.ts:1265](https://github.com/daostack/arc.js/blob/f343aa24/lib/wrappers/genesisProtocol.ts#L1265)*



indexed




___


